<html>
<head>
<title>OgreShaderFFPRenderState.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_f1fa7196649e3987904dbdb4948bc856.html">Components</a>      </li>
      <li class="navelem"><a class="el" href="dir_1ff0a99c786b1c34b8d04ba7e7285590.html">RTShaderSystem</a>      </li>
      <li class="navelem"><a class="el" href="dir_167378df2bdccc9b313fc91c17987f1d.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgreShaderFFPRenderState.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgreShaderFFPRenderState_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">(Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00009"></a>00009 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00010"></a>00010 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00011"></a>00011 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00012"></a>00012 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00013"></a>00013 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00014"></a>00014 <span class="comment"></span>
<a name="l00015"></a>00015 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00016"></a>00016 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00017"></a>00017 <span class="comment"></span>
<a name="l00018"></a>00018 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00019"></a>00019 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00020"></a>00020 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00021"></a>00021 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00022"></a>00022 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00023"></a>00023 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00024"></a>00024 <span class="comment">THE SOFTWARE.</span>
<a name="l00025"></a>00025 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00026"></a>00026 <span class="comment">*/</span>
<a name="l00027"></a>00027 <span class="preprocessor">#ifndef _ShaderFFPState_</span>
<a name="l00028"></a>00028 <span class="preprocessor"></span><span class="preprocessor">#define _ShaderFFPState_</span>
<a name="l00029"></a>00029 <span class="preprocessor"></span>
<a name="l00030"></a>00030 <span class="preprocessor">#include &quot;<a class="code" href="OgreShaderPrerequisites_8h.html">OgreShaderPrerequisites.h</a>&quot;</span>
<a name="l00031"></a>00031 
<a name="l00032"></a>00032 <span class="keyword">namespace </span>Ogre {
<a name="l00033"></a>00033 <span class="keyword">namespace </span>RTShader {
<a name="l00034"></a>00034 
<a name="l00042"></a>00042 <span class="comment">// Fixed Function vertex shader stages.</span>
<a name="l00043"></a><a class="code" href="group__RTShader.html#ga7d20b2397c3eab2b52ec405863c6f274">00043</a> <span class="keyword">enum</span> <a class="code" href="group__RTShader.html#ga7d20b2397c3eab2b52ec405863c6f274">FFPVertexShaderStage</a>
<a name="l00044"></a>00044 {
<a name="l00045"></a><a class="code" href="group__RTShader.html#gga7d20b2397c3eab2b52ec405863c6f274ad955465ff061413a966f568fc187599e">00045</a>     <a class="code" href="group__RTShader.html#gga7d20b2397c3eab2b52ec405863c6f274ad955465ff061413a966f568fc187599e">FFP_VS_PRE_PROCESS</a>                  = 0,    
<a name="l00046"></a><a class="code" href="group__RTShader.html#gga7d20b2397c3eab2b52ec405863c6f274a04f47ef20926c0a10951eb3d6fa9af91">00046</a>     <a class="code" href="group__RTShader.html#gga7d20b2397c3eab2b52ec405863c6f274a04f47ef20926c0a10951eb3d6fa9af91">FFP_VS_TRANSFORM</a>                    = 100,
<a name="l00047"></a><a class="code" href="group__RTShader.html#gga7d20b2397c3eab2b52ec405863c6f274a5f213e0b61cc3a0bae05704eac26fa35">00047</a>     <a class="code" href="group__RTShader.html#gga7d20b2397c3eab2b52ec405863c6f274a5f213e0b61cc3a0bae05704eac26fa35">FFP_VS_COLOUR</a>                       = 200,
<a name="l00048"></a><a class="code" href="group__RTShader.html#gga7d20b2397c3eab2b52ec405863c6f274afdb7e1c00705255e5a10459e723e9acd">00048</a>     <a class="code" href="group__RTShader.html#gga7d20b2397c3eab2b52ec405863c6f274afdb7e1c00705255e5a10459e723e9acd">FFP_VS_LIGHTING</a>                     = 300,
<a name="l00049"></a><a class="code" href="group__RTShader.html#gga7d20b2397c3eab2b52ec405863c6f274a498dcf4231b63a549b001420ea5692ff">00049</a>     <a class="code" href="group__RTShader.html#gga7d20b2397c3eab2b52ec405863c6f274a498dcf4231b63a549b001420ea5692ff">FFP_VS_TEXTURING</a>                    = 400,      
<a name="l00050"></a><a class="code" href="group__RTShader.html#gga7d20b2397c3eab2b52ec405863c6f274a8b4930a3fd90d5b7222960fc5727b8cf">00050</a>     <a class="code" href="group__RTShader.html#gga7d20b2397c3eab2b52ec405863c6f274a8b4930a3fd90d5b7222960fc5727b8cf">FFP_VS_FOG</a>                          = 500,  
<a name="l00051"></a><a class="code" href="group__RTShader.html#gga7d20b2397c3eab2b52ec405863c6f274acc37fcb1e383c065bd730c7ac13fde90">00051</a>     <a class="code" href="group__RTShader.html#gga7d20b2397c3eab2b52ec405863c6f274acc37fcb1e383c065bd730c7ac13fde90">FFP_VS_POST_PROCESS</a>                 = 2000
<a name="l00052"></a>00052 };
<a name="l00053"></a>00053 
<a name="l00054"></a>00054 <span class="comment">// Fixed Function fragment shader stages.</span>
<a name="l00055"></a><a class="code" href="group__RTShader.html#ga06b7172046e21956b5eb485dbd7fc29a">00055</a> <span class="keyword">enum</span> <a class="code" href="group__RTShader.html#ga06b7172046e21956b5eb485dbd7fc29a">FFPFragmentShaderStage</a>
<a name="l00056"></a>00056 {
<a name="l00057"></a><a class="code" href="group__RTShader.html#gga06b7172046e21956b5eb485dbd7fc29aa326b1eb04022c84f9151bac6663dc40d">00057</a>     <a class="code" href="group__RTShader.html#gga06b7172046e21956b5eb485dbd7fc29aa326b1eb04022c84f9151bac6663dc40d">FFP_PS_PRE_PROCESS</a>                  = 0,    
<a name="l00058"></a><a class="code" href="group__RTShader.html#gga06b7172046e21956b5eb485dbd7fc29aa776dac89aa5e4d06186a5dcb20a3fa9b">00058</a>     <a class="code" href="group__RTShader.html#gga06b7172046e21956b5eb485dbd7fc29aa776dac89aa5e4d06186a5dcb20a3fa9b">FFP_PS_COLOUR_BEGIN</a>                 = 100,
<a name="l00059"></a><a class="code" href="group__RTShader.html#gga06b7172046e21956b5eb485dbd7fc29aa8cdc0e4095b09efda2fa34e203cb8b61">00059</a>     <a class="code" href="group__RTShader.html#gga06b7172046e21956b5eb485dbd7fc29aa8cdc0e4095b09efda2fa34e203cb8b61">FFP_PS_SAMPLING</a>                     = 150,
<a name="l00060"></a><a class="code" href="group__RTShader.html#gga06b7172046e21956b5eb485dbd7fc29aab325d310fd56d8564be69550b319ecc5">00060</a>     <a class="code" href="group__RTShader.html#gga06b7172046e21956b5eb485dbd7fc29aab325d310fd56d8564be69550b319ecc5">FFP_PS_TEXTURING</a>                    = 200,  
<a name="l00061"></a><a class="code" href="group__RTShader.html#gga06b7172046e21956b5eb485dbd7fc29aadff5a4ef68640ae288c15265b3f8fc3b">00061</a>     <a class="code" href="group__RTShader.html#gga06b7172046e21956b5eb485dbd7fc29aadff5a4ef68640ae288c15265b3f8fc3b">FFP_PS_COLOUR_END</a>                   = 300,
<a name="l00062"></a><a class="code" href="group__RTShader.html#gga06b7172046e21956b5eb485dbd7fc29aad8d2dd505e7f3d5c87c738e6afa0d4fc">00062</a>     <a class="code" href="group__RTShader.html#gga06b7172046e21956b5eb485dbd7fc29aad8d2dd505e7f3d5c87c738e6afa0d4fc">FFP_PS_FOG</a>                          = 400,
<a name="l00063"></a><a class="code" href="group__RTShader.html#gga06b7172046e21956b5eb485dbd7fc29aa0514e394e633d17623c38771d7e5d917">00063</a>     <a class="code" href="group__RTShader.html#gga06b7172046e21956b5eb485dbd7fc29aa0514e394e633d17623c38771d7e5d917">FFP_PS_POST_PROCESS</a>                 = 500
<a name="l00064"></a>00064 };
<a name="l00065"></a>00065 
<a name="l00066"></a>00066 <span class="comment">// Fixed Function generic stages.</span>
<a name="l00067"></a><a class="code" href="group__RTShader.html#ga4c92eba13eb8038d35530610c58ceff4">00067</a> <span class="keyword">enum</span> <a class="code" href="group__RTShader.html#ga4c92eba13eb8038d35530610c58ceff4">FFPShaderStage</a>
<a name="l00068"></a>00068 {
<a name="l00069"></a><a class="code" href="group__RTShader.html#gga4c92eba13eb8038d35530610c58ceff4a3c4091f2a0e44643b34801419c0ea987">00069</a>     <a class="code" href="group__RTShader.html#gga4c92eba13eb8038d35530610c58ceff4a3c4091f2a0e44643b34801419c0ea987">FFP_PRE_PROCESS</a>                     = 0,    
<a name="l00070"></a><a class="code" href="group__RTShader.html#gga4c92eba13eb8038d35530610c58ceff4a89872e19110c14f19fa11bd6c04755c4">00070</a>     <a class="code" href="group__RTShader.html#gga4c92eba13eb8038d35530610c58ceff4a89872e19110c14f19fa11bd6c04755c4">FFP_TRANSFORM</a>                       = 100,  
<a name="l00071"></a><a class="code" href="group__RTShader.html#gga4c92eba13eb8038d35530610c58ceff4ad2c91bf8902fec593abd2d6471d7d05c">00071</a>     <a class="code" href="group__RTShader.html#gga4c92eba13eb8038d35530610c58ceff4ad2c91bf8902fec593abd2d6471d7d05c">FFP_COLOUR</a>                          = 200,  
<a name="l00072"></a><a class="code" href="group__RTShader.html#gga4c92eba13eb8038d35530610c58ceff4a4981bd811954d8abdb7623226e81d9ab">00072</a>     <a class="code" href="group__RTShader.html#gga4c92eba13eb8038d35530610c58ceff4a4981bd811954d8abdb7623226e81d9ab">FFP_LIGHTING</a>                        = 300,
<a name="l00073"></a><a class="code" href="group__RTShader.html#gga4c92eba13eb8038d35530610c58ceff4a4633e1da9bc8ecbdecf34cd5cc4918d0">00073</a>     <a class="code" href="group__RTShader.html#gga4c92eba13eb8038d35530610c58ceff4a4633e1da9bc8ecbdecf34cd5cc4918d0">FFP_TEXTURING</a>                       = 400,
<a name="l00074"></a><a class="code" href="group__RTShader.html#gga4c92eba13eb8038d35530610c58ceff4affe0e1ca62c12578c98893daced6125e">00074</a>     <a class="code" href="group__RTShader.html#gga4c92eba13eb8038d35530610c58ceff4affe0e1ca62c12578c98893daced6125e">FFP_FOG</a>                             = 500,
<a name="l00075"></a><a class="code" href="group__RTShader.html#gga4c92eba13eb8038d35530610c58ceff4a11352bb182b27667fa58e81cd75a5b21">00075</a>     <a class="code" href="group__RTShader.html#gga4c92eba13eb8038d35530610c58ceff4a11352bb182b27667fa58e81cd75a5b21">FFP_POST_PROCESS</a>                    = 600
<a name="l00076"></a>00076 };
<a name="l00077"></a>00077 
<a name="l00078"></a>00078 <span class="comment">// Fixed Function Library: Common functions</span>
<a name="l00079"></a><a class="code" href="group__RTShader.html#gaf315dcdcd0eeb960135ab30110ae77ba">00079</a> <span class="preprocessor">#define FFP_LIB_COMMON                              &quot;FFPLib_Common&quot;</span>
<a name="l00080"></a><a class="code" href="group__RTShader.html#gacb01fe0fa9bc596f9ccd37f6a54a3bd5">00080</a> <span class="preprocessor"></span><span class="preprocessor">#define FFP_FUNC_ASSIGN                             &quot;FFP_Assign&quot;</span>
<a name="l00081"></a><a class="code" href="group__RTShader.html#gad106132588bc369abf446339c0aaa031">00081</a> <span class="preprocessor"></span><span class="preprocessor">#define FFP_FUNC_CONSTRUCT                          &quot;FFP_Construct&quot;</span>
<a name="l00082"></a><a class="code" href="group__RTShader.html#ga4e6385fde20363caa43796a8ed01057b">00082</a> <span class="preprocessor"></span><span class="preprocessor">#define FFP_FUNC_MODULATE                           &quot;FFP_Modulate&quot;</span>
<a name="l00083"></a><a class="code" href="group__RTShader.html#gaaf4d9386b193f17896ac4ea5efb13d8a">00083</a> <span class="preprocessor"></span><span class="preprocessor">#define FFP_FUNC_ADD                                &quot;FFP_Add&quot;</span>
<a name="l00084"></a><a class="code" href="group__RTShader.html#gaa3c089b316d6228e7f12efd7aa221410">00084</a> <span class="preprocessor"></span><span class="preprocessor">#define FFP_FUNC_SUBTRACT                           &quot;FFP_Subtract&quot;</span>
<a name="l00085"></a><a class="code" href="group__RTShader.html#gaf714443c4e6881fc31add54f71441752">00085</a> <span class="preprocessor"></span><span class="preprocessor">#define FFP_FUNC_LERP                               &quot;FFP_Lerp&quot;</span>
<a name="l00086"></a><a class="code" href="group__RTShader.html#gaf356c664f6a9ace926247c9d5bce5f6f">00086</a> <span class="preprocessor"></span><span class="preprocessor">#define FFP_FUNC_DOTPRODUCT                         &quot;FFP_DotProduct&quot;</span>
<a name="l00087"></a><a class="code" href="group__RTShader.html#ga50515d815bdab27ac1fa1dc41c0977b9">00087</a> <span class="preprocessor"></span><span class="preprocessor">#define FFP_FUNC_NORMALIZE                          &quot;FFP_Normalize&quot;</span>
<a name="l00088"></a>00088 <span class="preprocessor"></span>
<a name="l00089"></a>00089 <span class="comment">// Fixed Function Library: Transform functions</span>
<a name="l00090"></a><a class="code" href="group__RTShader.html#ga6455ab92d5367767064f20e26ea23757">00090</a> <span class="preprocessor">#define FFP_LIB_TRANSFORM                           &quot;FFPLib_Transform&quot;</span>
<a name="l00091"></a><a class="code" href="group__RTShader.html#gaacaa49841a295828270684b278808830">00091</a> <span class="preprocessor"></span><span class="preprocessor">#define FFP_FUNC_TRANSFORM                          &quot;FFP_Transform&quot;</span>
<a name="l00092"></a>00092 <span class="preprocessor"></span>
<a name="l00093"></a>00093 <span class="comment">// Fixed Function Library: Lighting functions</span>
<a name="l00094"></a><a class="code" href="group__RTShader.html#gab08f6b64db9da54e17c29994d9e7f853">00094</a> <span class="preprocessor">#define FFP_LIB_LIGHTING                            &quot;FFPLib_Lighting&quot;</span>
<a name="l00095"></a><a class="code" href="group__RTShader.html#ga64839e79eb9f1102d5ba2f9a8de44529">00095</a> <span class="preprocessor"></span><span class="preprocessor">#define FFP_FUNC_LIGHT_DIRECTIONAL_DIFFUSE          &quot;FFP_Light_Directional_Diffuse&quot;</span>
<a name="l00096"></a><a class="code" href="group__RTShader.html#gaecd7ddd3154960f67bd09322ca5c934c">00096</a> <span class="preprocessor"></span><span class="preprocessor">#define FFP_FUNC_LIGHT_DIRECTIONAL_DIFFUSESPECULAR  &quot;FFP_Light_Directional_DiffuseSpecular&quot;</span>
<a name="l00097"></a><a class="code" href="group__RTShader.html#gae018fb3c504d2c78a7ae5df29613b369">00097</a> <span class="preprocessor"></span><span class="preprocessor">#define FFP_FUNC_LIGHT_POINT_DIFFUSE                &quot;FFP_Light_Point_Diffuse&quot;</span>
<a name="l00098"></a><a class="code" href="group__RTShader.html#ga25c577ad6daab17ab8032b690572d7f9">00098</a> <span class="preprocessor"></span><span class="preprocessor">#define FFP_FUNC_LIGHT_POINT_DIFFUSESPECULAR        &quot;FFP_Light_Point_DiffuseSpecular&quot;</span>
<a name="l00099"></a><a class="code" href="group__RTShader.html#gaad7ab378661b2c7a96e05b61cac834b6">00099</a> <span class="preprocessor"></span><span class="preprocessor">#define FFP_FUNC_LIGHT_SPOT_DIFFUSE                 &quot;FFP_Light_Spot_Diffuse&quot;</span>
<a name="l00100"></a><a class="code" href="group__RTShader.html#gabe7ed7fea0d4d87f978441b8502f8f4a">00100</a> <span class="preprocessor"></span><span class="preprocessor">#define FFP_FUNC_LIGHT_SPOT_DIFFUSESPECULAR         &quot;FFP_Light_Spot_DiffuseSpecular&quot;</span>
<a name="l00101"></a>00101 <span class="preprocessor"></span>
<a name="l00102"></a>00102 <span class="comment">// Fixed Function Library: Texturing functions</span>
<a name="l00103"></a><a class="code" href="group__RTShader.html#gab7d72f56d81dc214ac28a7e40bfa56c3">00103</a> <span class="preprocessor">#define FFP_LIB_TEXTURING                           &quot;FFPLib_Texturing&quot;</span>
<a name="l00104"></a><a class="code" href="group__RTShader.html#gaa9b0f586bcddcb368af37697cf4da0f8">00104</a> <span class="preprocessor"></span><span class="preprocessor">#define FFP_FUNC_TRANSFORM_TEXCOORD                 &quot;FFP_TransformTexCoord&quot;</span>
<a name="l00105"></a><a class="code" href="group__RTShader.html#gaf471414666a27608d02c078db102fe13">00105</a> <span class="preprocessor"></span><span class="preprocessor">#define FFP_FUNC_GENERATE_TEXCOORD_ENV_NORMAL       &quot;FFP_GenerateTexCoord_EnvMap_Normal&quot;</span>
<a name="l00106"></a><a class="code" href="group__RTShader.html#ga1c7676773d46d7e9d7bd09e4aa7cb9ee">00106</a> <span class="preprocessor"></span><span class="preprocessor">#define FFP_FUNC_GENERATE_TEXCOORD_ENV_SPHERE       &quot;FFP_GenerateTexCoord_EnvMap_Sphere&quot;</span>
<a name="l00107"></a><a class="code" href="group__RTShader.html#ga4ddaa01f48cca042142f7d07eb79a531">00107</a> <span class="preprocessor"></span><span class="preprocessor">#define FFP_FUNC_GENERATE_TEXCOORD_ENV_REFLECT      &quot;FFP_GenerateTexCoord_EnvMap_Reflect&quot;</span>
<a name="l00108"></a><a class="code" href="group__RTShader.html#ga936b90baf3004063efe99d836147b802">00108</a> <span class="preprocessor"></span><span class="preprocessor">#define FFP_FUNC_GENERATE_TEXCOORD_PROJECTION       &quot;FFP_GenerateTexCoord_Projection&quot;</span>
<a name="l00109"></a><a class="code" href="group__RTShader.html#ga3be26dc22119cbfc60f0c6aac5d3b7af">00109</a> <span class="preprocessor"></span><span class="preprocessor">#define FFP_FUNC_SAMPLE_TEXTURE                     &quot;FFP_SampleTexture&quot;</span>
<a name="l00110"></a><a class="code" href="group__RTShader.html#ga80c3b1ec48d5484537cc0dfbc2ff8000">00110</a> <span class="preprocessor"></span><span class="preprocessor">#define FFP_FUNC_SAMPLE_TEXTURE_PROJ                &quot;FFP_SampleTextureProj&quot;</span>
<a name="l00111"></a><a class="code" href="group__RTShader.html#ga863f328a2f0427933e925978cbccbcd1">00111</a> <span class="preprocessor"></span><span class="preprocessor">#define FFP_FUNC_MODULATEX2                         &quot;FFP_ModulateX2&quot;</span>
<a name="l00112"></a><a class="code" href="group__RTShader.html#ga862e650d597fdeab5bdce48ab8218ebd">00112</a> <span class="preprocessor"></span><span class="preprocessor">#define FFP_FUNC_MODULATEX4                         &quot;FFP_ModulateX4&quot;</span>
<a name="l00113"></a><a class="code" href="group__RTShader.html#ga3f5296e2c5846bfd3854fa79e3f04d3f">00113</a> <span class="preprocessor"></span><span class="preprocessor">#define FFP_FUNC_ADDSIGNED                          &quot;FFP_AddSigned&quot;</span>
<a name="l00114"></a><a class="code" href="group__RTShader.html#ga61922bfa8246b31d92c97e2f9d1275d8">00114</a> <span class="preprocessor"></span><span class="preprocessor">#define FFP_FUNC_ADDSMOOTH                          &quot;FFP_AddSmooth&quot;</span>
<a name="l00115"></a>00115 <span class="preprocessor"></span>
<a name="l00116"></a>00116 <span class="comment">// Fixed Function Library: Fog functions</span>
<a name="l00117"></a><a class="code" href="group__RTShader.html#ga490ee091e89c283b72eed0dd867736d8">00117</a> <span class="preprocessor">#define FFP_LIB_FOG                                 &quot;FFPLib_Fog&quot;</span>
<a name="l00118"></a><a class="code" href="group__RTShader.html#ga8152aa5d7bfdd6b3f343c7775a6acb32">00118</a> <span class="preprocessor"></span><span class="preprocessor">#define FFP_FUNC_VERTEXFOG_LINEAR                   &quot;FFP_VertexFog_Linear&quot;</span>
<a name="l00119"></a><a class="code" href="group__RTShader.html#gaa7070959492b977db61224af4c3e8a21">00119</a> <span class="preprocessor"></span><span class="preprocessor">#define FFP_FUNC_VERTEXFOG_EXP                      &quot;FFP_VertexFog_Exp&quot;</span>
<a name="l00120"></a><a class="code" href="group__RTShader.html#ga345b9a8ecba8a9c1207c8625085c4754">00120</a> <span class="preprocessor"></span><span class="preprocessor">#define FFP_FUNC_VERTEXFOG_EXP2                     &quot;FFP_VertexFog_Exp2&quot;</span>
<a name="l00121"></a><a class="code" href="group__RTShader.html#gabaab1e89270cd7f763f2f8e0258c400e">00121</a> <span class="preprocessor"></span><span class="preprocessor">#define FFP_FUNC_PIXELFOG_DEPTH                     &quot;FFP_PixelFog_Depth&quot;</span>
<a name="l00122"></a><a class="code" href="group__RTShader.html#ga3ff5cdc27b838b8dc976502e84e996d3">00122</a> <span class="preprocessor"></span><span class="preprocessor">#define FFP_FUNC_PIXELFOG_LINEAR                    &quot;FFP_PixelFog_Linear&quot;</span>
<a name="l00123"></a><a class="code" href="group__RTShader.html#gac55655d0c3af8860b21fa0c31e47dc91">00123</a> <span class="preprocessor"></span><span class="preprocessor">#define FFP_FUNC_PIXELFOG_EXP                       &quot;FFP_PixelFog_Exp&quot;</span>
<a name="l00124"></a><a class="code" href="group__RTShader.html#ga5884a9b1976be44596eec20f0e005b95">00124</a> <span class="preprocessor"></span><span class="preprocessor">#define FFP_FUNC_PIXELFOG_EXP2                      &quot;FFP_PixelFog_Exp2&quot;</span>
<a name="l00125"></a>00125 <span class="preprocessor"></span>    
<a name="l00126"></a>00126 
<a name="l00130"></a>00130 }
<a name="l00131"></a>00131 }
<a name="l00132"></a>00132 
<a name="l00133"></a>00133 <span class="preprocessor">#endif</span>
<a name="l00134"></a>00134 <span class="preprocessor"></span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:51
</p>
</body>
</html>
